Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
catchay

In 1 bản vẽ chia thành nhiều đoạn

Các bài được khuyến nghị

catchay    6

Em có một bản vẽ trắc dọc, chả hạn đoạn từ km0+00 - km1+200.

tracdoc.gif

Bây giờ em muốn in bản vẽ trắc dọc đó thành 3 đoạn: km0+00-km0+400, km0+400-km0+800, km0+800-km1+200,

trên mỗi đoạn đều có áp khung tên bản vẽ và mỗi đoạn đều có ghi lý trình và bảng biểu trắc dọc phía dưới mỗi đoạn

thì phải làm thế nào?

chiadoantracdoc.gif

Nhờ các anh trên diễn đàn chỉ giúp!!!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Minh_Ha    1

- Vì mình không phải là dân cầu đường. Nên bạn hãy bố trí những đọan bạn muốn in, mình sẽ gửi cho bạn đọan lisp in tòan bộ đọan đó.

-Bạn dùng thử đọan lisp này, sửa lại tên Block của khung bản vẽ và tên máy in.

(defun C:inn(/ vl ov ss e)

(defun draw_line(ent / pt1 pt1X pt1Y pt2X pt2Y)

(setq pt1 (cdr (assoc 10 ent))

pt1X (car pt1)

pt1Y (cadr pt1)

pt2X (+(*(cdr (assoc 41 ent))841) pt1X);ch/rong: 841

pt2Y (+(*(cdr (assoc 42 ent))594) pt1Y);ch/cao : 594

)

(list (list pt1X pt1Y) (list pt2X pt2Y))

(setq D1 (list pt1X pt1Y))

(setq D2 (list pt2X pt2Y))

(command "plot" "Y" "" "FX DocuPrint 205-AP" "A3 [297x420mm]" "M" "L" "Y" "w" D1 D2 "F" "C" "" "DB_CALS.ctb" "Y" "" "" "Y" "")

;(entmake (list '(0 . "PLOT")(cons 10 (list pt1X pt1Y))(cons 11 (list pt2X pt2Y))(cons 62 6)) )

;(entmake (list '(0 . "LINE")(cons 10 (list pt1X pt2Y))(cons 11 (list pt2X pt1Y))(cons 62 6)) :bigsmile:;bonus

)

(command "undo" "be")

(setq vl '("osmode" "orthomode" "cmdecho") ; Sys Var list

ov (mapcar 'getvar vl)) ; Get Old values

(setvar "osmode" 0) (setvar "orthomode" 0) (setvar "cmdecho" 0)

(princ "\nChon Block khung ten :")

(if(setq ss (ssget (list (cons 0 "INSERT")(cons 2 "A1図枠"))))

(foreach e (mapcar 'entget (vl-remove-if 'listp (mapcar 'cadr (ssnamex ss))))

(draw_line e)

)

)

(mapcar 'setvar vl ov) ; reset Sys Vars

(command "undo" "e")

(princ)

)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
catchay    6

Anh có thể giải thích rõ hơn về tác dụng của lisp anh viết ko? Lệnh tắt phải chăng là inn, nhưng khi em dùng lệnh này chỉ hiện ra yêu cầu chọn block khung tên, chọn xong rồi thì em ko biết làm gì nữa cả.

Mục đích của em là phải in ra một đoạn trắc dọc, chả hạn từ km0-km1+200, nhưng do khổ giấy in nên phải chia đoạn trắc dọc đó làm 3 đoạn để in, thì trên mỗi đoạn đều có khung tên, lý trình đầu đoạn và cuối đoạn đều được thể hiện.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
catchay    6

Em là dân mới vào nghề nên chưa thạo dùng mấy cái lệnh xref, với mv; hôm nào thấy có anh để in được đoạn trắc dọc đó thành 3 đoạn anh ấy làm như sau:

Đầu tiên ở Model gõ lệnh xr hiện ra hộp thoại xref manager tìm tới bản vẽ khung tên đã tạo trước đó rồi chọn Save path rồi Ok

Sau đó anh ấy vào layout thì đã thấy đoạn trắc dọc trên được chia làm 3 đoạn(có lý trình đầu đoạn và cuối đoạn) cùng với bảng biểu trắc dọc trên mỗi đoạn và đã được đặt vào trong 3 khung tên một cách ngon lành!

Hic! ko biết phải dùng những thao tác gì để có kết quả như vậy các anh nhỉ? hi, em ko gặp và ko liên lạc được với anh hôm đó nên đành lên diễn đàn hỏi các bro trên cadviet vậy.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Minh_Ha    1

-Đọan lisp của mình dùng để in hàng loạt không cần phải chọn in từng khung bản vẽ. Theo như cách làm như bạn mô tả mình nghỉ phải thiết lập tiêu chuẩn ngay từ đầu và khi chuyển qua layout mới chia thành nhiều đọan được. Còn theo cách của mình thì bạn cứ bố trí như hình bạn up lên rồi chỉ việc chọn Block là nó in ra cho bạn.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
catchay    6
-Đọan lisp của mình dùng để in hàng loạt không cần phải chọn in từng khung bản vẽ. Theo như cách làm như bạn mô tả mình nghỉ phải thiết lập tiêu chuẩn ngay từ đầu và khi chuyển qua layout mới chia thành nhiều đọan được. Còn theo cách của mình thì bạn cứ bố trí như hình bạn up lên rồi chỉ việc chọn Block là nó in ra cho bạn.

Hình đầu tiên em upload lên là hình trắc dọc đã vẽ ở Model, còn hình sau là em vào layout thì đã có kết quả là đoạn trắc dọc đó đã được chia làm 3 đoạn để in , tất nhiên sau khi đã chia như vậy thì có thể in hàng loạt, nhưng em muốn hỏi ở đây là cách để chia đoạn trắc dọc đó thành 3 đoạn nhỏ để in thôi?(in trong layout)

Đúng là để có kết quả như vậy thì phải có các thiết lập ban đầu nhưng em ko biết những thiết lập đó như thế nào, khi vào layout thì em thấy có nhiều khung nhìn được tạo ra bằng layer defoints, còn xem thao tác thực hiện thì chỉ thấy trong bản vẽ trắc dọc ở model anh hôm đó dùng lệnh xr rồi chọn khung bản vẽ và vào layout là đã thấy đoạn trắc dọc trên được chia làm 3 đoạn và đã được đặt vào trong 3 khung bản vẽ một cách nhiễn nhặn.Hic!thao tác thì đơn giản vậy mà kết quả ko ngờ

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
catchay    6

Sáng nay tình cờ vào mạng thấy có trang web viết về layout cũng khá hay và kỹ lưỡng, vì vấn đề của em là tạo khung nhình trong layout để in thôi (và kết hợp một số lệnh khác em chưa biết, hix), tiện em đưa địa chỉ trang lên đây luôn để mọi người tham khảo :bigsmile:

http://74.125.153.132/search?q=cache:kKaiK...=clnk&gl=vn

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×